#
# example of a conditional shortcut
#

import math

x = 10
y = 10

# the line below is equivalent to:
# if y != 0:
#     z = x/y
# else:
#     z = math.inf
#
z = x/y if y != 0 else math.inf

print('z = {}'.format(z))


# this example shows that we can have more than two cases
# with this type of statement
z = '> 1' if x > y else '< 1' if x < y else '1'

print('z = {}'.format(z))
